Package org.apache.nutch.service.resources

## Class AdminResource

- java.lang.Object
- - org.apache.nutch.service.resources.AbstractResource
  - - org.apache.nutch.service.resources.AdminResource

-     @Path("/admin")
      public class AdminResource
      extends AbstractResource

- - ### Field Summary

    - ### Fields inherited from class org.apache.nutch.service.resources.AbstractResource

      `configManager, jobManager, server`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AdminResource()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `NutchServerInfo` | `getServerStatus()` | Get the status of the Nutch Server
    `String` | `stopServer​(boolean force)` | Stop the Nutch server

    - ### Methods inherited from class org.apache.nutch.service.resources.AbstractResource

      `throwBadRequestException`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AdminResource

          public AdminResource()

  - ### Method Detail

    - #### getServerStatus

          @GET
          @Path("/")
          public NutchServerInfo getServerStatus()

      Get the status of the Nutch Server
      Returns:
        `NutchServerInfo` for the running service

    - #### stopServer

          @GET
          @Path("/stop")
          public String stopServer​(@QueryParam("force")
                                   boolean force)

      Stop the Nutch server
      Parameters:
        `force` - If set to true, it will kill any running jobs
      Returns:
        a message indicating shutdown status